[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.AsVariant

Access the field's contents as a Variant value.

## Declaration

Source position: db.pas line 417

`public property TField.AsVariant : variant read GetAsVariant write SetAsVariant;`

## Description

AsVariant can be used to read or write the contents of the field as a Variant value. If the native type of the field is not a Variant value, then an attempt will be made to convert the field value from the native format to a variant value when reading the field's content. Likewise, when writing the property, the value will be converted to the native type of the field (if the value allows it). Therefor, when reading or writing a field value for a field whose native data type is not a variant-compatible value, an exception may be raised.

## See also

TField.Value |  | Value of the field as a variant value
TField.Astring